%define version	0.4
%define release	7mdk
%define name	gnome-pilot-conduits

Summary:	Gnome-pilot conduits
Name:		%name
Version:	%version
Release:	%release
Copyright:	LGPL
Group:		Office

Source:		http://www.gnome.org/gnome-pilot/download/%{name}-%{version}.tar.bz2
Patch:		gnome-pilot-conduits-malsync204.patch.bz2

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
URL:		http://www.gnome.org/gnome-pilot/

Requires:	gnome-pilot >= 0.1.50
BuildRequires:	gnome-pilot-devel XFree86-devel ORBit-devel gnome-libs-devel audiofile-devel control-center-devel esound-devel imlib-devel pilot-link-devel libxml-devel zlib-devel

%description
gnome-pilot is a collection of programs and daemon for integrating
GNOME and the Palm Pilot <tm>.

This is a collection of additional conduits for gnome-pilot, it
currently features
 - MAL conduit

%prep
%setup
%patch -p 1 -b .malsync204

%build
cd mal-conduit ; automake ; cd ..
%configure

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): needs=gnome section="Configuration/Gnome/Peripherals/Pilot Conduits" command="mal-conduit-control-applet --cap-id=1" title="MAL Conduit" icon="/usr/share/pixmaps/avantgo.png"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}
/sbin/ldconfig

%postun 
%{clean_menus}
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/*
%{_libdir}/gnome-pilot/conduits/*
%{_datadir}/control-center/Peripherals/Conduits/*
#%{_datadir}/gnome/apps/Settings/Peripherals/Conduits/*
%{_datadir}/gnome-pilot/conduits/*
%{_datadir}/pixmaps/*
%{_menudir}/*

%changelog
* Wed Oct 25 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4-7mdk
- Really fix menu entry

* Mon Oct 02 2000 David BAUDENS <baudens@mandrakesoft.com> 0.4-6mdk
- Fix menu entry

* Tue Sep 26 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4-5mdk
- Add automake call to correctly build library

* Fri Sep 22 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4-4mdk
- Add menu entry

* Tue Aug  8 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4-3mdk
- Release 2.0.4 of malsync libraries (provide synchronization for AvantGo 3.1 AND 3.3)

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.4-2mdk
- automatically added BuildRequires

* Tue Jul 25 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4-1mdk
- first mandrake package
- BM, macroszification

* Sun Mar 5 2000 Eskil Heyn Olsen <deity@eskil.dk>

- redid the package from mal-conduit to gnome-pilot-conduits

* Sun Dec 5 1999 Eskil Heyn Olsen <deity@eskil.dk>

- Created the .spec file
